clear all; clc;
load('90.mat') %nahrat matici
%%
S=simout.signals.values;
k=1;
i =1;
% ulozeni ustalenych hodnot v kazdem kroku:
for p= 1:401  
    nam(k)=S(i);
    k=k+1;
    i=i+1000;
end
%%
% vypocet velikosti jednotlivých kroku:
for j=1:400
    roz(j) = nam(j+1)-nam(j);
    
end
%%
% výpočet velikosti odchylky při kroku o velikosti 0,9°
b = roz(3:400)-0.9;
plot(b)
 grid on
 xlabel('400kroku/otacka')
 ylabel('natoceni[°]')

%%
% Absolutni hodnota chyby
c = abs(b);
%  plot(c)
 grid on
 xlabel('400kroku/otacka')
 ylabel('natoceni[°]')
% K90 = transpose(b);
%%
prumer = mean(c)
 
smer_odch = sqrt((sum(b.^2)/length(b))-prumer^2)
 
med = median(b)

kvadr_prumer = sqrt(sum(b.^2)/length(b))